# Class AdminUtilsApi

#### Hierarchy (View Summary)

- JBaseApi
  - AdminUtilsApi

- Defined in jamespot-user-api/src/apis/admin/utils.ts:5

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

getApps

## Constructors

### constructor

- new AdminUtilsApi(jApi: JamespotUserApi): AdminUtilsApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns AdminUtilsApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### getApps

- getApps(signal?: AbortSignal): Promise<ApiWrapper<AdminApps, BaseMessages>>

  Request the admin applications and sub applications for the admin panel

  #### Parameters

  - `Optional` signal: AbortSignal

  #### Returns Promise<ApiWrapper<AdminApps, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/admin/utils.ts:9